Partially Blocked users cannot see entry points for Content Translation (but should!)
Closed, ResolvedPublic

Description

Currently on Test Wikipedia, partially blocked users cannot see the two primary entry points to content translate: the dropdown-on-hover for the top 'Contributions' link:

Or the buttons on Special:Contributions:


Expected behavior

  • If a user is partially blocked they should see both entry points for the Content Translation feature
TBolliger created this task.Nov 7 2018, 9:41 PM
Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptNov 7 2018, 9:41 PM

Change 472475 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Do not disable CX UI for blocked users

https://gerrit.wikimedia.org/r/472475

@TBolliger Should this change apply to all blocks or just partial blocks? (i.e. should sitewide blocked users get the buttons, and access the tool, or no?)
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/472475#message-08f7a054f5f87e5c57adf6d728a081933639917e

I don't see a reason why they shouldn't be able to access it. Ideally the access should be determine by the wiki you are translating to rather than the one you are translating from.

In the dropdown, 'Contributions' leads to the users' contributions, 'Translate' leads to CX, and 'Upload media' leads to Commons.

The buttons on Sp:Contributions, 'New page' leads to Special:WantedPages, 'Upload media' leads to Commons, and 'Translation' leads to CX.

So yeah โ€” I agree with David that it doesn't make sense to hide this for any level of blocked user. But that's a decision for @Pginer-WMF

So yeah โ€” I agree with David that it doesn't make sense to hide this for any level of blocked user. But that's a decision for @Pginer-WMF

Also agree here. Even if blocked, it seems reasonable to let users move around. So I think it makes sense to still expose these entry points (even if users may not be able to publish a translation at the end of that path). Note that until the user selects a target language for the translation we don't know in which wiki the user will be creating content (more on this below)

I don't see a reason why they shouldn't be able to access it. Ideally the access should be determine by the wiki you are translating to rather than the one you are translating from.

One particularity of Content Translation is that it connects two different wikis. We let you pick any language pair to translate, regardless of the current wiki, but once the translation is started you'll be redirected to the target wiki. So it is possible to access Content Translation on English Wikipedia to start a translation from French to Japanese, which will redirect you to Japanese Wikipedia when you start such translation (where it is relevant to now if you are blocked or not). This is done to (a) avoid users having to think about which where they are or where should they be in order to make a translation, and (b) make sure that content is always created locally.

Change 472475 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Do not disable CX UI for blocked users

https://gerrit.wikimedia.org/r/472475

Pginer-WMF triaged this task as Normal priority.Tue, Nov 13, 8:16 AM
Etonkovidova closed this task as Resolved.
Etonkovidova added a subscriber: Etonkovidova.

Checked on testwiki (wmf.4) for partial and sitewide users - whereas two access points are present and redirect to CX correctly, the translation will persistently display "An error occurred while saving the page." and "Unable to fetch machine translation token" - filed as T209744: Blocked users get multiple errors when translating article - translations are not saved.

[CX] Unable to get cxserver token. 
{โ€ฆ}
โ€‹
error: {โ€ฆ}
โ€‹โ€‹
"*": "See https://test.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."
โ€‹โ€‹
blockinfo: {โ€ฆ}
โ€‹โ€‹โ€‹
blockedby: "Etonkovidova"
โ€‹โ€‹โ€‹
blockedbyid: 27425
โ€‹โ€‹โ€‹
blockedtimestamp: "2018-11-16T23:04:39Z"
โ€‹โ€‹โ€‹
blockexpiry: "2018-11-17T01:04:39Z"
โ€‹โ€‹โ€‹
blockid: 17618
โ€‹โ€‹โ€‹
blockreason: "testing for access points to ContentTranslation"